Name:           pavucontrol
Version:        5.0
Release:        1
Summary:        The volume control of PulseAudio
License:        GPLv2+
URL:            http://freedesktop.org/software/pulseaudio/pavucontrol
Source0:        http://freedesktop.org/software/pulseaudio/pavucontrol/pavucontrol-%{version}.tar.xz

BuildRequires:  gcc-c++ pulseaudio-libs-devel >= 5.0 gtkmm30-devel libsigc++20-devel lynx desktop-file-utils
BuildRequires:  libcanberra-devel intltool
BuildRequires:  make pkgconfig(gtkmm-3.0) pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(json-glib-1.0) pkgconfig(libcanberra-gtk3) pkgconfig(sigc++-2.0)

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK based volume control
tool ("mixer") for the PulseAudio sound server. In contrast to classic mixer
tools this one allows you to control both the volume of hardware devices and
of each playback stream separately.

%prep
%autosetup -n pavucontrol-%{version} -p1

%build
%configure  --disable-silent-rules

%make_build V=1

%install
%make_install V=1

%find_lang pavucontrol

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/pavucontrol.desktop

%files -f pavucontrol.lang
%exclude %{_defaultdocdir}/pavucontrol/{README,README.html,style.css}
%doc doc/README LICENSE
%{_bindir}/pavucontrol
%{_datadir}/pavucontrol
%{_datadir}/applications/pavucontrol.desktop

%changelog
* Tue Jan 18 2022 SimpleUpdate Robot <tc@openeuler.org> - 5.0-1
- Upgrade to version 5.0

* Wed Apr 22 2020 songzhenyu<songzhenyu@huawei.com> - 3.0-14
- Package init
